KDE 4.9 PyKDE API Reference

- KDE's Python API

# EntityDeletedAttribute Class Reference

`from PyKDE4.akonadi import *`

Inherits: Akonadi.Attribute
Namespace: Akonadi

## Detailed Description

An Attribute that marks that an entity was marked as deleted

This class represents the attribute of all hidden items. The hidden items shouldn't be displayed in UI applications (unless in some kind of "debug" mode).

Example:

Author:
  Christian Mollekopf <chrigi_1@fastmail.fm>

See also:
  Akonadi.Attribute

Since:
  4.8

## Methods
| __init__ (self)
Akonadi.EntityDeletedAttribute | clone (self)
| deserialize (self, QByteArray data)
Akonadi.Collection | restoreCollection (self)
QString | restoreResource (self)
QByteArray | serialized (self)
| setRestoreCollection (self, Akonadi.Collection col)
QByteArray | type (self)

## Method Documentation

__init__ | ( |  | self ) |

Creates a new entity deleted attribute.

Akonadi.EntityDeletedAttribute clone | ( |  | self ) |

Reimplemented from Attribute

deserialize | ( | self, |
|  | QByteArray | data
| ) |  |  |

Reimplemented from Attribute

Akonadi.Collection restoreCollection | ( |  | self ) |

Returns the original collection of an item that has been moved to trash using a TrashJob

QString restoreResource | ( |  | self ) |

Returns the resource of the restoreCollection

QByteArray serialized | ( |  | self ) |

Reimplemented from Attribute

setRestoreCollection | ( | self, |
|  | Akonadi.Collection | col
| ) |  |  |

Sets the collection used to restore items which have been moved to trash using a TrashJob If the Resource is set on the collection, the resource root will be used as fallback during the restore operation.

QByteArray type | ( |  | self ) |

Reimplemented from Attribute